visageSDK

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Pages
Public Attributes | List of all members
VisageSDK::FeaturePoint Struct Reference

Feature point. More...

`#include <FDP.h>`

## Public Attributes
float | pos [3]
| Position. More...
int | defined
| Set with regards to the 3D model used. More...
int | detected
| Set with regards to the tracking algorithm used. More...
float | quality
| Information about the accuracy of the tracking algorithm for this feature point in the current frame. More...
int | vert
| Identifier of the vertex to which the vertex corresponding to the feature point belongs. More...
std::string | surf
| Identifier of the polygon mesh (surface) to which the vertex corresponding to the feature point belongs. More...

## Detailed Description

Feature point.

This struct represents a feature point definition. If the feature points are defined on a 3D model, each feature point maps to a vertex of the model. The following information is specified per each feature point:

- vertex position (an array of 3 floats)
- vertex identifier (mesh identifier and vertex index), if the feature point is defined on a 3D model
- normalization factors (useful for algorithms that normalize the face, such as facial motion cloning)

See Also
  FDP

Definition at line 51 of file FDP.h.

## Member Data Documentation

int VisageSDK::FeaturePoint::defined

Set with regards to the 3D model used.

More information about 3D models used in tracking can be found in VisageTracker Configuration Manual.

Set to 1 if feature point is defined in the corresponding .fdp file. Otherwise, the feature point should not be used.

Definition at line 70 of file FDP.h.

int VisageSDK::FeaturePoint::detected

Set with regards to the tracking algorithm used.

If 1, indicates that the feature point is obtained from a 2D image using the tracking algorithm. 0 indicates that the feature point is estimated from fitting a 3D model onto the detected feature points of the face.

NOTE: This information is returned exclusively within FaceData::featurePoints2D.

Definition at line 79 of file FDP.h.

float VisageSDK::FeaturePoint::pos[3]

Position.

x, y, z coordinates of the feature point. If the feature point is 2-dimensional (e.g. feature points in an image) the z coordinate is ignored.

Definition at line 61 of file FDP.h.

float VisageSDK::FeaturePoint::quality

Information about the accuracy of the tracking algorithm for this feature point in the current frame.

Quality is returned as a value from 0 to 1, where 0 is the worst and 1 is the best quality. If -1 is returned, quality is not estimated.

This information is returned for all feature points' groups except for group 10 (ears) for which the returned value will always be -1.

NOTE: This information is returned exclusively within FaceData::featurePoints2D.

Definition at line 90 of file FDP.h.

std::string VisageSDK::FeaturePoint::surf

Identifier of the polygon mesh (surface) to which the vertex corresponding to the feature point belongs.

If the feature points are not defined on a 3D model (e.g. if they represent points in a 2D image), this is not used.

Definition at line 103 of file FDP.h.

int VisageSDK::FeaturePoint::vert

Identifier of the vertex to which the vertex corresponding to the feature point belongs.

This is the vertex index within the polygon mesh (surface) identified by surf. If the feature points are not defined on a 3D model (e.g. if they represent points in a 2D image), this is not used.

Definition at line 97 of file FDP.h.

The documentation for this struct was generated from the following file:

- FDP.h